summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-01-08 03:33:00 -0600
committerTim Harder <radhermit@gentoo.org>2019-01-08 03:38:20 -0600
commit1460cd776ac6a779dbcde4ff08a624d2e575f238 (patch)
tree1c859362d2474af646ea3945bb3125cdd1a68e16 /sys-fs/squashfuse/squashfuse-0.1.103.ebuild
parentsys-apps/pkgcore: update live ebuild deps (diff)
downloadgentoo-1460cd776ac6a779dbcde4ff08a624d2e575f238.tar.gz
gentoo-1460cd776ac6a779dbcde4ff08a624d2e575f238.tar.bz2
gentoo-1460cd776ac6a779dbcde4ff08a624d2e575f238.zip
sys-fs/squashfuse: version bump to 0.1.103
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'sys-fs/squashfuse/squashfuse-0.1.103.ebuild')
-rw-r--r--sys-fs/squashfuse/squashfuse-0.1.103.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/sys-fs/squashfuse/squashfuse-0.1.103.ebuild b/sys-fs/squashfuse/squashfuse-0.1.103.ebuild
new file mode 100644
index 00000000000..f4654076461
--- /dev/null
+++ b/sys-fs/squashfuse/squashfuse-0.1.103.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2016-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic
+
+DESCRIPTION="FUSE filesystem to mount squashfs archives"
+HOMEPAGE="https://github.com/vasi/squashfuse"
+SRC_URI="https://github.com/vasi/squashfuse/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="lz4 lzma lzo static-libs +zlib zstd"
+REQUIRED_USE="|| ( lz4 lzma lzo zlib zstd )"
+
+COMMON_DEPEND="
+ >=sys-fs/fuse-2.8.6:0=
+ lzma? ( >=app-arch/xz-utils-5.0.4:= )
+ zlib? ( >=sys-libs/zlib-1.2.5-r2:= )
+ lzo? ( >=dev-libs/lzo-2.06:= )
+ lz4? ( >=app-arch/lz4-0_p106:= )
+ zstd? ( app-arch/zstd:= )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig"
+RDEPEND="${COMMON_DEPEND}"
+
+src_configure() {
+ filter-flags -flto* -fwhole-program -fno-common
+
+ local econfargs=(
+ $(use_enable static-libs static)
+ $(use lz4 || echo --without-lz4)
+ $(use lzma || echo --without-xz)
+ $(use lzo || echo --without-lzo)
+ $(use zlib || echo --without-zlib)
+ $(use zstd || echo --without-zstd)
+ )
+
+ econf "${econfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${ED}" -name "*.la" -delete || die
+}